package com.mx.dla.dda.ncredito.general.dtos;

import java.util.Date;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class ContratoNotaCreditoGeneralDTO extends BaseDTO {



	private static final long                   serialVersionUID = 1L;

	private Long                                idNota;
	private Long                                idEstudio;
	private String                              numeroFactura;
	private Date                                fechaFactura;
	private String                              monto;
	private Integer                             approved;
	private String                              comentario;
	private String                              idSapRegistro;
	private String                              descEstudio;

	private List<ContratoNotaCreditoDetalleDTO> contratos;

	public Long getIdNota() {
		return idNota;
	}

	public void setIdNota(Long idNota) {
		this.idNota = idNota;
	}

	public String getNumeroFactura() {
		return numeroFactura;
	}

	public void setNumeroFactura(String numeroFactura) {
		this.numeroFactura = numeroFactura;
	}

	public Date getFechaFactura() {
		return fechaFactura;
	}

	public void setFechaFactura(Date fechaFactura) {
		this.fechaFactura = fechaFactura;
	}

	public String getMonto() {
		return monto;
	}

	public void setMonto(String monto) {
		this.monto = monto;
	}

	public Integer getApproved() {
		return approved;
	}

	public void setApproved(Integer approved) {
		this.approved = approved;
	}

	public String getComentario() {
		return comentario;
	}

	public void setComentario(String comentario) {
		this.comentario = comentario;
	}

	public Long getIdEstudio() {
		return idEstudio;
	}

	public void setIdEstudio(Long idEstudio) {
		this.idEstudio = idEstudio;
	}

	public List<ContratoNotaCreditoDetalleDTO> getContratos() {
		return contratos;
	}

	public void setContratos(List<ContratoNotaCreditoDetalleDTO> contratos) {
		this.contratos = contratos;
	}

	public String getIdSapRegistro() {
		return idSapRegistro;
	}

	public void setIdSapRegistro(String idSapRegistro) {
		this.idSapRegistro = idSapRegistro;
	}

	public String getDescEstudio() {
		return descEstudio;
	}

	public void setDescEstudio(String descEstudio) {
		this.descEstudio = descEstudio;
	}
	
	@Override
    public String toString() {
	    return "ContratoNotaCreditoGeneralDTO [idNota=" + idNota + ", idEstudio=" + idEstudio + ", numeroFactura=" + numeroFactura + ", fechaFactura=" + fechaFactura + ", monto=" + monto
	            + ", approved=" + approved + ", comentario=" + comentario + ", idSapRegistro=" + idSapRegistro + ", descEstudio=" + descEstudio + ", contratos=" + contratos + "]";
    }

}
